Subject: [Sipping] Sipdev, incoming call alert (ring signal equivalents)

From: Gunnar Hellstrom <[email-masked]>
Date: Mon, 23 Jun 2003 18:55:34 +0200

In the discussion about the sipdev spec,

http://www.ietf.org/internet-drafts/draft-sinnreich-sipdev-req-01.txt , I
had earlier got positive reactions on a proposal:

In 4.9 Ringer Behaviour  : add the section below for the
purpose of people in the garden, in noisy
locations, and for the use by deaf, hearing impaired, deaf-blind people.

"SIP Telephony devices MUST provide an external interface to
an external alerting system."

I cannot find much from that proposal in the new wording, so I repeat the
proposal a bit more elaborated:

Such external interfaces were normal in the PSTN era. It was easy to buy an
extra ringer to place in the garden or in the garage. It was easy to find
strong flashing light alerters to place in the factory.

Such features must be remembered and available also in the SIP era. In PSTN,
the alerters were connected directly to the phone network. Now, it is
instead the SIP phone itself that knows if it is called. Therefore it must
be specified in the SIP device spec.

Currently there are two kinds of electrical interfaces to alerting systems.

Both are simple two wire interfaces.

One is resistance oriented. It has a high resistance ( 1 Mohm) until the
alert is wanted. Then the resistance is low ( below 50 ohm ). It can sustain
a voltage of at least 50 V in the inactivated state, and a current of 200 mA
in the activated state.

The other is voltage oriented. A voltage over the interface triggers the
alerting. 12 V direct or alternating is common.

Since both usually are available on alerting systems, I suggest that it can
be sufficient to provide the resistance oriented one on SIP phones.

I would also suggest an extension with a Bluetooth interface. Using the
serial port profile, and giving an AT command response "RING" as the basic
standard. It might be suitable to have extensions from this basic version
into variants where you can specify some characteristics of the alert.

So, my proposal is to change from:
.....................................Current
writing..........................................
4.9 Ringer Behavior

   The manner in which a user is alerted to an incoming call (visually,
   audibly or possibly both) MAY be used by the device. This includes
   the different volumes and MAY point to a file that contains the
   melody for the ringer alert.

   Ringer sound files MAY be specified for the following types of
   incoming calls normal, high priority, internal and external.

   Different ringer sound files MAY also be associated with different
   lines.

   The location of a call MAY also be indicated. This allows using the
   phone by hearing-impaired or in noisy environments where external
   speakers are used to render the sound. The location of the call is
   also useful for paging by speakerphones.
:::::::::::::::::::End of current
writing:::::::::::::::::::::::::::::::::::::::::::::::::::::::

To:
::::::::::::::::::New
proposal:::::::::::::::::::::::::::::::::::::::::::::::
4.9 Ringer Behavior

   The manner in which a user is alerted to an incoming call (visually,
   audibly or possibly both) MAY be configured in the device. This includes
   different volumes and the configuration MAY point to a file that contains
a
   melody for the ringer alert.

   Ringer sound files MAY be specified for the following types of
   incoming calls: normal, high priority, internal and external.

   Different ringer sound files MAY also be associated with different
   lines.

   The location of a call MAY also be indicated. This allows using the
   phone by hearing-impaired or in noisy environments where external
   speakers are used to render the sound. The location of the call is
   also useful for paging by speakerphones.

   SIP Telephony devices MUST provide an external interface to
   an external alerting system. This allows free positioning and selection
of an alerting
   system that may be visual, audible or tactile or any combination of these
modes.
   An external interface MAY be a two-pole electrical interface offering
   low resistance (<50 ohm) during ring signals, and high resistance ( > 1
Mohm ) between
   ring indications.
   It MAY also be a Bluetooth inteface with the serial profile sending the
"RING"
   message at each ring signal.
-------------------------------------End of modified
proposal------------------------------

Agree?

Gunnar Hellstrom
-------------------------------------------
Gunnar Hellstrom, Omnitor, Renathvagen 2
SE 121 37 Johanneshov, SWEDEN
Tel: +46 8 556 002 03  Mob: +46 708204288
e-mail: [email-masked]
web: www.omnitor.se

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Henry Sinnreich <[email-masked]>
Date: Mon, 23 Jun 2003 14:28:16 -0500

> purpose of people in the garden, in noisy locations, and for 
> the use by deaf, hearing impaired, deaf-blind people.

I believe this is a good suggestion. With MAY in the general section or
MUST for haering disabled.

Henry

> -----Original Message-----
> From: Gunnar Hellstrom [mailto:[email-masked]] 
> Sent: Monday, June 23, 2003 11:56 AM
> To: 'Sipping@Ietf. Org'; [email-masked]; 'Mike Spanner'; 
> 'James Hamlin'; [email-masked]; 
> [email-masked]; [email-masked]; 
> [email-masked]; 'Guido Gybels'; 
> [email-masked]; 'Judy Harkins'; 'Trefor Davies'; Henry Sinnreich
> Cc: [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]
> Subject: [Sipping] Sipdev, incoming call alert (ring signal 
> equivalents)
> 
> 
> http://www.ietf.org/internet-drafts/draft-sinnreich-sipdev-req
> -01.txt , I had earlier got positive reactions on a proposal:
> 
> purpose of people in the garden, in noisy locations, and for 
> the use by deaf, hearing impaired, deaf-blind people.
> 
> I cannot find much from that proposal in the new wording, so 
> I repeat the proposal a bit more elaborated:
> 
> Such external interfaces were normal in the PSTN era. It was 
> easy to buy an extra ringer to place in the garden or in the 
> garage. It was easy to find strong flashing light alerters to 
> place in the factory.
> 
> Such features must be remembered and available also in the 
> SIP era. In PSTN, the alerters were connected directly to the 
> phone network. Now, it is instead the SIP phone itself that 
> knows if it is called. Therefore it must be specified in the 
> SIP device spec.
> 
> One is resistance oriented. It has a high resistance ( 1 
> Mohm) until the alert is wanted. Then the resistance is low ( 
> below 50 ohm ). It can sustain a voltage of at least 50 V in 
> the inactivated state, and a current of 200 mA in the activated state.
> 
> The other is voltage oriented. A voltage over the interface 
> triggers the alerting. 12 V direct or alternating is common.
> 
> Since both usually are available on alerting systems, I 
> suggest that it can be sufficient to provide the resistance 
> oriented one on SIP phones.
> 
> I would also suggest an extension with a Bluetooth interface. 
> Using the serial port profile, and giving an AT command 
> response "RING" as the basic standard. It might be suitable 
> to have extensions from this basic version into variants 
> where you can specify some characteristics of the alert.
> 
>    different volumes and the configuration MAY point to a 
> file that contains a
>    an external alerting system. This allows free positioning 
> and selection of an alerting
>    system that may be visual, audible or tactile or any 
> combination of these modes.
>    low resistance (<50 ohm) during ring signals, and high 
> resistance ( > 1 Mohm ) between
>    ring indications.
>    It MAY also be a Bluetooth inteface with the serial 
> profile sending the "RING"